import { ValidationErrorReports } from "../lib";
export declare const styleSheet = "* { font-family: Meiryo; line-height: 1.6em; }\nbody { margin: 0; }\nnav {\n    position: fixed;\n    width: 14em;\n    height: 100%;\n    padding: 1em;\n    color: #eee;\n    background: #333;\n    overflow: auto;\n}\nnav ul { margin: 0; }\nnav a { color: #eee; text-decoration: none; }\nnav a:hover { text-decoration: underline; }\narticle { margin-left: 16em; padding: 1em; color: #333; }\narticle a { text-decoration: none; }\narticle a:hover { text-decoration: underline; }\n.index { color: #333; }\n.index:after { content: \". \"; }\n.column { color: #36f; font-weight: bold; }\n.message { color: #f33; font-weight: bold; }\nli { word-wrap: break-word; }\ntable { border-collapse: collapse; }\nth { background: #eee; }\nth, td { border: 1px solid black; padding: 0.2em; }\n";
/**
 * HTMLレポートを作る
 * @param errors 検出されたエラー
 * @return HTMLソース
 */
export declare function generateHtmlReport(errors: ValidationErrorReports, inlineStyle?: boolean): string;
